com.lowagie.text.pdf

## Class BarcodeDatamatrix.DmParams

- java.lang.Object
- - com.lowagie.text.pdf.BarcodeDatamatrix.DmParams

- Enclosing class:
    BarcodeDatamatrix

      private static class BarcodeDatamatrix.DmParams
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `dataBlock`
    `(package private) int` | `dataSize`
    `(package private) int` | `errorBlock`
    `(package private) int` | `height`
    `(package private) int` | `heightSection`
    `(package private) int` | `width`
    `(package private) int` | `widthSection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarcodeDatamatrix.DmParams(int height, int width, int heightSection, int widthSection, int dataSize, int dataBlock, int errorBlock)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### height

          int height

    - #### width

          int width

    - #### heightSection

          int heightSection

    - #### widthSection

          int widthSection

    - #### dataSize

          int dataSize

    - #### dataBlock

          int dataBlock

    - #### errorBlock

          int errorBlock

  - ### Constructor Detail

    - #### BarcodeDatamatrix.DmParams

          BarcodeDatamatrix.DmParams(int height,
                                    int width,
                                    int heightSection,
                                    int widthSection,
                                    int dataSize,
                                    int dataBlock,
                                    int errorBlock)